--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_006_pos.ksh	Wed Aug 31 16:21:12 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_006_pos.ksh	Wed Aug 31 16:21:12 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -49,22 +49,22 @@
 log_onexit restore_root_datasets
 
 for dtst in $DATASETS ; do
-	log_must $ZFS allow -u $STAFF1 $LOCAL_DESC_SET $dtst
-	log_must $ZFS allow -g $STAFF_GROUP $LOCAL_DESC_SET $dtst
-	log_must $ZFS allow -e $LOCAL_DESC_SET $dtst
+	log_must zfs allow -u $STAFF1 $LOCAL_DESC_SET $dtst
+	log_must zfs allow -g $STAFF_GROUP $LOCAL_DESC_SET $dtst
+	log_must zfs allow -e $LOCAL_DESC_SET $dtst
 
 	log_must verify_perm $dtst $LOCAL_DESC_SET \
 		$STAFF1 $STAFF2 $OTHER1 $OTHER2
 
-	log_must $ZFS unallow -e $dtst
+	log_must zfs unallow -e $dtst
 	log_must verify_perm $dtst $LOCAL_DESC_SET $STAFF1 $STAFF2
 	log_must verify_noperm $dtst $LOCAL_DESC_SET $OTHER1 $OTHER2
 
-	log_must $ZFS unallow -g $STAFF_GROUP $dtst
+	log_must zfs unallow -g $STAFF_GROUP $dtst
 	log_must verify_perm $dtst $LOCAL_DESC_SET $STAFF1
 	log_must verify_noperm $dtst $LOCAL_DESC_SET $STAFF2
 
-	log_must $ZFS unallow -u $STAFF1 $dtst
+	log_must zfs unallow -u $STAFF1 $dtst
 	log_must verify_noperm $dtst $LOCAL_DESC_SET $STAFF1
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_007_neg.ksh	Wed Aug 31 16:21:12 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_007_neg.ksh	Wed Aug 31 16:21:12 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -49,9 +49,9 @@
 log_onexit restore_root_datasets
 
 perm1="atime,devices"; perm2="compression,checksum"
-log_must $ZFS create $SUBFS
-log_must $ZFS allow $STAFF1 $perm1 $ROOT_TESTFS
-log_must $ZFS allow $STAFF1 $perm2 $SUBFS
+log_must zfs create $SUBFS
+log_must zfs allow $STAFF1 $perm1 $ROOT_TESTFS
+log_must zfs allow $STAFF1 $perm2 $SUBFS
 
 log_must verify_perm $SUBFS ${perm1},${perm2} $STAFF1
 #
@@ -58,7 +58,7 @@
 # Athrough unallow the permissions which don't exists on the specific dataset
 # return 0, the inherited permissions can't be removed in fact.
 #
-log_must $ZFS unallow -u $STAFF1 $perm1 $SUBFS
+log_must zfs unallow -u $STAFF1 $perm1 $SUBFS
 log_must verify_perm $SUBFS ${perm1},${perm2} $STAFF1
 
 log_pass "Verify zfs unallow won't remove inherited permissions passed."
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_008_neg.ksh	Wed Aug 31 16:21:12 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_008_neg.ksh	Wed Aug 31 16:21:12 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -61,15 +61,15 @@
 log_must setup_unallow_testenv
 
 for dtst in $DATASETS ; do
-	log_must $ZFS allow -c create $dtst
+	log_must zfs allow -c create $dtst
 
 	typeset -i i=0
 	while ((i < ${#badopts[@]})); do
-		neg_test $ZFS unallow ${badopts[$i]} $dtst
+		neg_test zfs unallow ${badopts[$i]} $dtst
 		((i += 1))
 	done
 
-	# Causes test failure: neg_test user_run $STAFF1 $ZFS unallow $dtst
+	# Causes test failure: neg_test user_run $STAFF1 zfs unallow $dtst
 done
 
 log_pass "zfs unallow can handle invalid arguments passed."
--- old/usr/src/test/zfs-tests/tests/functional/devices/devices_001_pos.ksh	Wed Aug 31 16:21:12 2016
+++ new/usr/src/test/zfs-tests/tests/functional/devices/devices_001_pos.ksh	Wed Aug 31 16:21:12 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,7 +52,7 @@
 	"system can be used."
 log_onexit cleanup
 
-log_must $ZFS set devices=on $TESTPOOL/$TESTFS
+log_must zfs set devices=on $TESTPOOL/$TESTFS
 
 #
 # Separately create block device file and character device file, then try to
@@ -59,8 +59,8 @@
 # open them and make sure it succeed.
 #
 create_dev_file b $TESTDIR/$TESTFILE1
-log_must $DD if=$TESTDIR/$TESTFILE1 of=$TESTDIR/$TESTFILE1.out count=1
+log_must dd if=$TESTDIR/$TESTFILE1 of=$TESTDIR/$TESTFILE1.out count=1
 create_dev_file c $TESTDIR/$TESTFILE2
-log_must $DD if=$TESTDIR/$TESTFILE2 of=$TESTDIR/$TESTFILE2.out count=1
+log_must dd if=$TESTDIR/$TESTFILE2 of=$TESTDIR/$TESTFILE2.out count=1
 
 log_pass "Setting devices=on on file system and testing it pass."
--- old/usr/src/test/zfs-tests/tests/functional/devices/devices_002_neg.ksh	Wed Aug 31 16:21:12 2016
+++ new/usr/src/test/zfs-tests/tests/functional/devices/devices_002_neg.ksh	Wed Aug 31 16:21:12 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,7 +52,7 @@
 	"system can not be used."
 log_onexit cleanup
 
-log_must $ZFS set devices=off $TESTPOOL/$TESTFS
+log_must zfs set devices=off $TESTPOOL/$TESTFS
 
 #
 # Separately create block device file and character device file, then try to
@@ -59,8 +59,8 @@
 # open them and make sure it failed.
 #
 create_dev_file b $TESTDIR/$TESTFILE1
-log_mustnot $DD if=$TESTDIR/$TESTFILE1 of=$TESTDIR/$TESTFILE1.out count=1
+log_mustnot dd if=$TESTDIR/$TESTFILE1 of=$TESTDIR/$TESTFILE1.out count=1
 create_dev_file c $TESTDIR/$TESTFILE2
-log_mustnot $DD if=$TESTDIR/$TESTFILE2 of=$TESTDIR/$TESTFILE2.out count=1
+log_mustnot dd if=$TESTDIR/$TESTFILE2 of=$TESTDIR/$TESTFILE2.out count=1
 
 log_pass "Setting devices=off on file system and testing it pass."
--- old/usr/src/test/zfs-tests/tests/functional/devices/devices_003_pos.ksh	Wed Aug 31 16:21:12 2016
+++ new/usr/src/test/zfs-tests/tests/functional/devices/devices_003_pos.ksh	Wed Aug 31 16:21:12 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -44,6 +44,6 @@
 
 log_assert "Writing random data into /dev/zfs should do no harm."
 
-log_mustnot $DD if=/dev/urandom of=/dev/zfs count=1024
+log_mustnot dd if=/dev/urandom of=/dev/zfs count=1024
 
 log_pass "Writing random data into /dev/zfs should do no harm."
--- old/usr/src/test/zfs-tests/tests/functional/devices/devices_common.kshlib	Wed Aug 31 16:21:13 2016
+++ new/usr/src/test/zfs-tests/tests/functional/devices/devices_common.kshlib	Wed Aug 31 16:21:13 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/devices/devices.cfg
@@ -44,17 +44,17 @@
 
 	case $filetype in
 		b)
-			devtype=$($DF -n / | $AWK '{print $3}')
+			devtype=$(df -n / | awk '{print $3}')
 			case $devtype in
 				zfs)
-					rootpool=$($DF / | \
-						$AWK '{print $2}')
+					rootpool=$(df / | \
+						awk '{print $2}')
 					rootpool=${rootpool#\(}
 					rootpool=${rootpool%%/*}
 
 					devstr=$(get_disklist $rootpool)
-					devstr=$($ECHO "$devstr" | \
-						$AWK '{print $1}')
+					devstr=$(echo "$devstr" | \
+						awk '{print $1}')
 					[[ -z $devstr ]] && \
 						log_fail "Can not get block device file."
 					devstr=/dev/dsk/${devstr}
@@ -64,11 +64,11 @@
 			# Get the existing block device file in current system.
 			# And bring out the first one.
 			#
-					devstr=$($DF -lhF ufs | \
-						$GREP "^/dev/dsk" | \
-						$AWK '{print $1}')
-					devstr=$($ECHO "$devstr" | \
-						$AWK '{print $1}')
+					devstr=$(df -lhF ufs | \
+						grep "^/dev/dsk" | \
+						awk '{print $1}')
+					devstr=$(echo "$devstr" | \
+						awk '{print $1}')
 					[[ -z $devstr ]] && \
 						log_fail "Can not get block device file."
 					;;
@@ -83,7 +83,7 @@
 			# Get the device file information. i.e:
 			# /dev/dsk/c0t0d0s0:      block special (28/768)
 			#
-			devstr=$($FILE $devstr)
+			devstr=$(file $devstr)
 
 			#
 			# Bring out major and minor number.
@@ -93,13 +93,13 @@
 			minor=${devstr##*/}
 			minor=${minor%\)}
 
-			log_must $MKNOD $filename b $major $minor
+			log_must mknod $filename b $major $minor
 			;;
 		c)
 			#
 			# Create device file '/dev/null'
 			#
-			log_must $MKNOD $filename c $($GETMAJOR mm) 2
+			log_must mknod $filename c $(getmajor mm) 2
 			;;
 		*)
 			log_fail "'$filetype' is wrong."
@@ -111,9 +111,9 @@
 
 function cleanup
 {
-	log_must $ZFS set devices=on $TESTPOOL/$TESTFS
-	log_must $RM -f $TESTDIR/$TESTFILE1
-	log_must $RM -f $TESTDIR/$TESTFILE2
-	log_must $RM -f $TESTDIR/$TESTFILE1.out
-	log_must $RM -f $TESTDIR/$TESTFILE2.out
+	log_must zfs set devices=on $TESTPOOL/$TESTFS
+	log_must rm -f $TESTDIR/$TESTFILE1
+	log_must rm -f $TESTDIR/$TESTFILE2
+	log_must rm -f $TESTDIR/$TESTFILE1.out
+	log_must rm -f $TESTDIR/$TESTFILE2.out
 }
--- old/usr/src/test/zfs-tests/tests/functional/exec/exec_001_pos.ksh	Wed Aug 31 16:21:13 2016
+++ new/usr/src/test/zfs-tests/tests/functional/exec/exec_001_pos.ksh	Wed Aug 31 16:21:13 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 
 function cleanup
 {
-	log_must $RM $TESTDIR/myls
+	log_must rm $TESTDIR/myls
 }
 
 log_assert "Setting exec=on on a filesystem, processes can be executed from " \
@@ -56,8 +56,8 @@
 	"this file system."
 log_onexit cleanup
 
-log_must $CP $LS $TESTDIR/myls
-log_must $ZFS set exec=on $TESTPOOL/$TESTFS
+log_must cp /usr/bin/ls $TESTDIR/myls
+log_must zfs set exec=on $TESTPOOL/$TESTFS
 log_must $TESTDIR/myls
 log_must $MMAP_EXEC $TESTDIR/myls
 
--- old/usr/src/test/zfs-tests/tests/functional/exec/exec_002_neg.ksh	Wed Aug 31 16:21:13 2016
+++ new/usr/src/test/zfs-tests/tests/functional/exec/exec_002_neg.ksh	Wed Aug 31 16:21:13 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,7 +49,7 @@
 
 function cleanup
 {
-	log_must $RM $TESTDIR/myls
+	log_must rm $TESTDIR/myls
 }
 
 #
@@ -76,8 +76,8 @@
 	"from this file system."
 log_onexit cleanup
 
-log_must $CP $LS $TESTDIR/myls
-log_must $ZFS set exec=off $TESTPOOL/$TESTFS
+log_must cp /usr/bin/ls $TESTDIR/myls
+log_must zfs set exec=off $TESTPOOL/$TESTFS
 
 log_must exec_n_check 126 $TESTDIR/myls
 log_must exec_n_check 13 $MMAP_EXEC $TESTDIR/myls
--- old/usr/src/test/zfs-tests/tests/functional/features/async_destroy/async_destroy_001_pos.ksh	Wed Aug 31 16:21:13 2016
+++ new/usr/src/test/zfs-tests/tests/functional/features/async_destroy/async_destroy_001_pos.ksh	Wed Aug 31 16:21:13 2016
@@ -21,7 +21,7 @@
 #
 
 #
-# Copyright (c) 2013, 2014 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,18 +48,18 @@
 
 function cleanup
 {
-	datasetexists $TEST_FS && log_must $ZFS destroy $TEST_FS
+	datasetexists $TEST_FS && log_must zfs destroy $TEST_FS
 }
 
 log_onexit cleanup
 log_assert "async_destroy can suspend and resume traversal"
 
-log_must $ZFS create -o recordsize=512 -o compression=off $TEST_FS
+log_must zfs create -o recordsize=512 -o compression=off $TEST_FS
 
 # Fill with 2G
-log_must $DD bs=1024k count=2048 if=/dev/zero of=/$TEST_FS/file
+log_must dd bs=1024k count=2048 if=/dev/zero of=/$TEST_FS/file
 
-log_must $ZFS destroy $TEST_FS
+log_must zfs destroy $TEST_FS
 
 #
 # We monitor the freeing property, to verify we can see blocks being
@@ -68,20 +68,20 @@
 t0=$SECONDS
 count=0
 while [[ $((SECONDS - t0)) -lt 10 ]]; do
-	[[ "0" != "$($ZPOOL list -Ho freeing $TESTPOOL)" ]] && ((count++))
+	[[ "0" != "$(zpool list -Ho freeing $TESTPOOL)" ]] && ((count++))
 	[[ $count -gt 1 ]] && break
-	$SLEEP 1
+	sleep 1
 done
 
 [[ $count -eq 0 ]] && log_fail "Freeing property remained empty"
 
 # Wait for everything to be freed.
-while [[ "0" != "$($ZPOOL list -Ho freeing $TESTPOOL)" ]]; do
+while [[ "0" != "$(zpool list -Ho freeing $TESTPOOL)" ]]; do
 	[[ $((SECONDS - t0)) -gt 180 ]] && \
 	    log_fail "Timed out waiting for freeing to drop to zero"
 done
 
 # Check for leaked blocks.
-log_must $ZDB -b $TESTPOOL
+log_must zdb -b $TESTPOOL
 
 log_pass "async_destroy can suspend and resume traversal"
--- old/usr/src/test/zfs-tests/tests/functional/grow_pool/cleanup.ksh	Wed Aug 31 16:21:13 2016
+++ new/usr/src/test/zfs-tests/tests/functional/grow_pool/cleanup.ksh	Wed Aug 31 16:21:13 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -35,7 +35,7 @@
 verify_runnable "global"
 
 ismounted $TESTFS && \
-        log_must $ZFS umount $TESTDIR
+        log_must zfs umount $TESTDIR
 destroy_pool "$TESTPOOL"
 
 #
--- old/usr/src/test/zfs-tests/tests/functional/grow_pool/grow_pool_001_pos.ksh	Wed Aug 31 16:21:13 2016
+++ new/usr/src/test/zfs-tests/tests/functional/grow_pool/grow_pool_001_pos.ksh	Wed Aug 31 16:21:13 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,8 +48,8 @@
 
 log_assert "A zpool may be increased in capacity by adding a disk"
 
-log_must $ZFS set compression=off $TESTPOOL/$TESTFS
-$FILE_WRITE -o create -f $TESTDIR/$TESTFILE1 \
+log_must zfs set compression=off $TESTPOOL/$TESTFS
+file_write -o create -f $TESTDIR/$TESTFILE1 \
 	-b $BLOCK_SIZE -c $WRITE_COUNT -d 0
 typeset -i zret=$?
 readonly ENOSPC=28
@@ -62,13 +62,13 @@
 fi
 
 if [[ -n $DISK ]]; then
-	log_must $ZPOOL add $TESTPOOL $DISK"s"$SLICE1
+	log_must zpool add $TESTPOOL $DISK"s"$SLICE1
 else
-	log_must $ZPOOL add $TESTPOOL $DISK1
+	log_must zpool add $TESTPOOL $DISK1
 fi
 
-log_must $FILE_WRITE -o append -f $TESTDIR/$TESTFILE1 \
+log_must file_write -o append -f $TESTDIR/$TESTFILE1 \
 	-b $BLOCK_SIZE -c $SMALL_WRITE_COUNT -d 0
 
-log_must $ZFS inherit compression $TESTPOOL/$TESTFS
+log_must zfs inherit compression $TESTPOOL/$TESTFS
 log_pass "TESTPOOL successfully grown"
--- old/usr/src/test/zfs-tests/tests/functional/grow_replicas/grow_replicas_001_pos.ksh	Wed Aug 31 16:21:13 2016
+++ new/usr/src/test/zfs-tests/tests/functional/grow_replicas/grow_replicas_001_pos.ksh	Wed Aug 31 16:21:13 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
 #
 
@@ -51,7 +51,7 @@
 function cleanup
 {
 	datasetexists $TESTPOOL && log_must destroy_pool $TESTPOOL
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR
 }
 
 log_assert "mirror/raidz pool may be increased in capacity by adding a disk"
@@ -76,12 +76,12 @@
 		create_pool $TESTPOOL $pooltype ${DISK0}s0 ${DISK1}s0
 	fi
 
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
-	log_must $ZFS set compression=off $TESTPOOL/$TESTFS
-	$FILE_WRITE -o create -f $TESTDIR/$TESTFILE1 \
+	log_must zfs set compression=off $TESTPOOL/$TESTFS
+	file_write -o create -f $TESTDIR/$TESTFILE1 \
             -b $BLOCK_SIZE -c $WRITE_COUNT -d 0
 
 	[[ $? -ne $ENOSPC ]] && \
@@ -92,14 +92,14 @@
 
 	# $DISK will be set if we're using slices on one disk
 	if [[ -n $DISK ]]; then
-		log_must $ZPOOL add $TESTPOOL $pooltype ${DISK}s3 ${DISK}s4
+		log_must zpool add $TESTPOOL $pooltype ${DISK}s3 ${DISK}s4
 	else
 		[[ -z $DISK2 || -z $DISK3 ]] && 
 		    log_unsupported "No spare disks available"
-		log_must $ZPOOL add $TESTPOOL $pooltype ${DISK2}s0 ${DISK3}s0
+		log_must zpool add $TESTPOOL $pooltype ${DISK2}s0 ${DISK3}s0
 	fi
 
-	log_must $FILE_WRITE -o append -f $TESTDIR/$TESTFILE1 \
+	log_must file_write -o append -f $TESTDIR/$TESTFILE1 \
 	    -b $BLOCK_SIZE -c $SMALL_WRITE_COUNT -d 0
 
 	log_must destroy_pool $TESTPOOL
--- old/usr/src/test/zfs-tests/tests/functional/history/cleanup.ksh	Wed Aug 31 16:21:13 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/cleanup.ksh	Wed Aug 31 16:21:13 2016
@@ -26,13 +26,13 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
 
-[[ -f $OLD_HISTORY ]] && $RM -f $OLD_HISTORY
-[[ -f $TMP_HISTORY ]] && $RM -f $TMP_HISTORY
-[[ -f $NEW_HISTORY ]] && $RM -f $NEW_HISTORY
+[[ -f $OLD_HISTORY ]] && rm -f $OLD_HISTORY
+[[ -f $TMP_HISTORY ]] && rm -f $TMP_HISTORY
+[[ -f $NEW_HISTORY ]] && rm -f $NEW_HISTORY
 
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/history/history_001_pos.ksh	Wed Aug 31 16:21:13 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_001_pos.ksh	Wed Aug 31 16:21:13 2016
@@ -25,7 +25,7 @@
 # Use is subject to license terms.
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/history/history_common.kshlib
@@ -49,9 +49,9 @@
 	destroy_pool $MPOOL
 	destroy_pool $upgrade_pool
 
-	[[ -d $import_dir ]] && $RM -rf $import_dir
+	[[ -d $import_dir ]] && rm -rf $import_dir
 	for file in $VDEV1 $VDEV2 $VDEV3 $VDEV4; do
-		[[ -f $file ]] && $RM -f $file
+		[[ -f $file ]] && rm -f $file
 	done
 }
 
@@ -63,49 +63,49 @@
 VDEV1=$mntpnt/vdev1; VDEV2=$mntpnt/vdev2;
 VDEV3=$mntpnt/vdev3; VDEV4=$mntpnt/vdev4;
 
-log_must $MKFILE $MINVDEVSIZE $VDEV1 $VDEV2 $VDEV3
-log_must $MKFILE $(($MINVDEVSIZE * 2)) $VDEV4
+log_must mkfile $MINVDEVSIZE $VDEV1 $VDEV2 $VDEV3
+log_must mkfile $(($MINVDEVSIZE * 2)) $VDEV4
 
-run_and_verify -p "$MPOOL" "$ZPOOL create $MPOOL mirror $VDEV1 $VDEV2"
-run_and_verify -p "$MPOOL" "$ZPOOL add -f $MPOOL spare $VDEV3"
-run_and_verify -p "$MPOOL" "$ZPOOL remove $MPOOL $VDEV3"
-run_and_verify -p "$MPOOL" "$ZPOOL offline $MPOOL $VDEV1"
-run_and_verify -p "$MPOOL" "$ZPOOL online $MPOOL $VDEV1"
-run_and_verify -p "$MPOOL" "$ZPOOL attach $MPOOL $VDEV1 $VDEV4"
-run_and_verify -p "$MPOOL" "$ZPOOL detach $MPOOL $VDEV4"
-run_and_verify -p "$MPOOL" "$ZPOOL replace -f $MPOOL $VDEV1 $VDEV4"
-run_and_verify -p "$MPOOL" "$ZPOOL scrub $MPOOL"
-run_and_verify -p "$MPOOL" "$ZPOOL clear $MPOOL"
+run_and_verify -p "$MPOOL" "zpool create $MPOOL mirror $VDEV1 $VDEV2"
+run_and_verify -p "$MPOOL" "zpool add -f $MPOOL spare $VDEV3"
+run_and_verify -p "$MPOOL" "zpool remove $MPOOL $VDEV3"
+run_and_verify -p "$MPOOL" "zpool offline $MPOOL $VDEV1"
+run_and_verify -p "$MPOOL" "zpool online $MPOOL $VDEV1"
+run_and_verify -p "$MPOOL" "zpool attach $MPOOL $VDEV1 $VDEV4"
+run_and_verify -p "$MPOOL" "zpool detach $MPOOL $VDEV4"
+run_and_verify -p "$MPOOL" "zpool replace -f $MPOOL $VDEV1 $VDEV4"
+run_and_verify -p "$MPOOL" "zpool scrub $MPOOL"
+run_and_verify -p "$MPOOL" "zpool clear $MPOOL"
 
 # For export and destroy, mimic the behavior of run_and_verify using two
 # commands since the history will be unavailable until the pool is imported
 # again.
-commands=("$ZPOOL export $MPOOL" "$ZPOOL import -d $mntpnt $MPOOL"
-    "$ZPOOL destroy $MPOOL" "$ZPOOL import -D -f -d $mntpnt $MPOOL")
+commands=("zpool export $MPOOL" "zpool import -d $mntpnt $MPOOL"
+    "zpool destroy $MPOOL" "zpool import -D -f -d $mntpnt $MPOOL")
 for i in 0 2; do
 	cmd1="${commands[$i]}"
 	cmd2="${commands[(($i + 1 ))]}"
 
-	$ZPOOL history $MPOOL > $OLD_HISTORY 2>/dev/null
+	zpool history $MPOOL > $OLD_HISTORY 2>/dev/null
 	log_must $cmd1
 	log_must $cmd2
-	$ZPOOL history $MPOOL > $TMP_HISTORY 2>/dev/null
-	$DIFF $OLD_HISTORY $TMP_HISTORY | $GREP "^> " | $SED 's/^> //g' > \
+	zpool history $MPOOL > $TMP_HISTORY 2>/dev/null
+	diff $OLD_HISTORY $TMP_HISTORY | grep "^> " | sed 's/^> //g' > \
 	    $NEW_HISTORY
-	$GREP "$($ECHO "$cmd1" | $SED 's/\/usr\/sbin\///g')" $NEW_HISTORY \
+	grep "$(echo "$cmd1" | sed 's/\/usr\/sbin\///g')" $NEW_HISTORY \
 	    >/dev/null 2>&1 || log_fail "Didn't find \"$cmd1\" in pool history"
-	$GREP "$($ECHO "$cmd2" | $SED 's/\/usr\/sbin\///g')" $NEW_HISTORY \
+	grep "$(echo "$cmd2" | sed 's/\/usr\/sbin\///g')" $NEW_HISTORY \
 	    >/dev/null 2>&1 || log_fail "Didn't find \"$cmd2\" in pool history"
 done
 
-run_and_verify -p "$MPOOL" "$ZPOOL split $MPOOL ${MPOOL}_split"
+run_and_verify -p "$MPOOL" "zpool split $MPOOL ${MPOOL}_split"
 
 import_dir=/var/tmp/import_dir.$$
-log_must $MKDIR $import_dir
-log_must $CP $STF_SUITE/tests/functional/history/zfs-pool-v4.dat.Z $import_dir
-log_must $UNCOMPRESS $import_dir/zfs-pool-v4.dat.Z
-upgrade_pool=$($ZPOOL import -d $import_dir | $GREP "pool:" | $AWK '{print $2}')
-log_must $ZPOOL import -d $import_dir $upgrade_pool
-run_and_verify -p "$upgrade_pool" "$ZPOOL upgrade $upgrade_pool"
+log_must mkdir $import_dir
+log_must cp $STF_SUITE/tests/functional/history/zfs-pool-v4.dat.Z $import_dir
+log_must uncompress $import_dir/zfs-pool-v4.dat.Z
+upgrade_pool=$(zpool import -d $import_dir | grep "pool:" | awk '{print $2}')
+log_must zpool import -d $import_dir $upgrade_pool
+run_and_verify -p "$upgrade_pool" "zpool upgrade $upgrade_pool"
 
 log_pass "zpool sub-commands which modify state are logged passed. "
--- old/usr/src/test/zfs-tests/tests/functional/history/history_002_pos.ksh	Wed Aug 31 16:21:14 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_002_pos.ksh	Wed Aug 31 16:21:14 2016
@@ -25,7 +25,7 @@
 # Use is subject to license terms.
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/history/history_common.kshlib
@@ -46,12 +46,12 @@
 function cleanup
 {
 
-	[[ -f $tmpfile ]] && $RM -f $tmpfile
-	[[ -f $tmpfile2 ]] && $RM -f $tmpfile2
+	[[ -f $tmpfile ]] && rm -f $tmpfile
+	[[ -f $tmpfile2 ]] && rm -f $tmpfile2
 	for dataset in $fs $newfs $fsclone $vol $newvol $volclone; do
-		datasetexists $dataset && $ZFS destroy -Rf $dataset
+		datasetexists $dataset && zfs destroy -Rf $dataset
 	done
-	$RM -rf /history.$$
+	rm -rf /history.$$
 }
 
 log_assert "Verify zfs sub-commands which modify state are logged."
@@ -89,11 +89,11 @@
 	copies		$((RANDOM%3 + 1))
 )
 
-run_and_verify "$ZFS create $fs"
+run_and_verify "zfs create $fs"
 # Set all the property for filesystem
 typeset -i i=0
 while ((i < ${#props[@]})) ; do
-	run_and_verify "$ZFS set ${props[$i]}=${props[((i+1))]} $fs"
+	run_and_verify "zfs set ${props[$i]}=${props[((i+1))]} $fs"
 
 	# quota, reservation, canmount can not be inherited.
 	#
@@ -100,43 +100,43 @@
 	if [[ ${props[$i]} != "quota" && ${props[$i]} != "reservation" && \
 	    ${props[$i]} != "canmount" ]];
 	then
-		run_and_verify "$ZFS inherit ${props[$i]} $fs"
+		run_and_verify "zfs inherit ${props[$i]} $fs"
 	fi
 
 	((i += 2))
 done
 
-run_and_verify "$ZFS create -V 64M $vol"
-run_and_verify "$ZFS set volsize=32M $vol"
-run_and_verify "$ZFS snapshot $fssnap"
-run_and_verify "$ZFS hold tag $fssnap"
-run_and_verify "$ZFS release tag $fssnap"
-run_and_verify "$ZFS snapshot $volsnap"
-run_and_verify "$ZFS snapshot $fssnap2"
-run_and_verify "$ZFS snapshot $volsnap2"
+run_and_verify "zfs create -V 64M $vol"
+run_and_verify "zfs set volsize=32M $vol"
+run_and_verify "zfs snapshot $fssnap"
+run_and_verify "zfs hold tag $fssnap"
+run_and_verify "zfs release tag $fssnap"
+run_and_verify "zfs snapshot $volsnap"
+run_and_verify "zfs snapshot $fssnap2"
+run_and_verify "zfs snapshot $volsnap2"
 
 # Send isn't logged...
-log_must $ZFS send -i $fssnap $fssnap2 > $tmpfile
-log_must $ZFS send -i $volsnap $volsnap2 > $tmpfile2
+log_must zfs send -i $fssnap $fssnap2 > $tmpfile
+log_must zfs send -i $volsnap $volsnap2 > $tmpfile2
 # Verify that's true
-$ZPOOL history $TESTPOOL | $GREP 'zfs send' >/dev/null 2>&1 && \
+zpool history $TESTPOOL | grep 'zfs send' >/dev/null 2>&1 && \
     log_fail "'zfs send' found in history of \"$TESTPOOL\""
 
-run_and_verify "$ZFS destroy $fssnap2"
-run_and_verify "$ZFS destroy $volsnap2"
-run_and_verify "$ZFS receive $fs < $tmpfile"
-run_and_verify "$ZFS receive $vol < $tmpfile2"
-run_and_verify "$ZFS rollback -r $fssnap"
-run_and_verify "$ZFS rollback -r $volsnap"
-run_and_verify "$ZFS clone $fssnap $fsclone"
-run_and_verify "$ZFS clone $volsnap $volclone"
-run_and_verify "$ZFS rename $fs $newfs"
-run_and_verify "$ZFS rename $vol $newvol"
-run_and_verify "$ZFS promote $fsclone"
-run_and_verify "$ZFS promote $volclone"
-run_and_verify "$ZFS destroy $newfs"
-run_and_verify "$ZFS destroy $newvol"
-run_and_verify "$ZFS destroy -rf $fsclone"
-run_and_verify "$ZFS destroy -rf $volclone"
+run_and_verify "zfs destroy $fssnap2"
+run_and_verify "zfs destroy $volsnap2"
+run_and_verify "zfs receive $fs < $tmpfile"
+run_and_verify "zfs receive $vol < $tmpfile2"
+run_and_verify "zfs rollback -r $fssnap"
+run_and_verify "zfs rollback -r $volsnap"
+run_and_verify "zfs clone $fssnap $fsclone"
+run_and_verify "zfs clone $volsnap $volclone"
+run_and_verify "zfs rename $fs $newfs"
+run_and_verify "zfs rename $vol $newvol"
+run_and_verify "zfs promote $fsclone"
+run_and_verify "zfs promote $volclone"
+run_and_verify "zfs destroy $newfs"
+run_and_verify "zfs destroy $newvol"
+run_and_verify "zfs destroy -rf $fsclone"
+run_and_verify "zfs destroy -rf $volclone"
 
 log_pass "zfs sub-commands which modify state are logged passed."
--- old/usr/src/test/zfs-tests/tests/functional/history/history_003_pos.ksh	Wed Aug 31 16:21:14 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_003_pos.ksh	Wed Aug 31 16:21:14 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,9 +46,9 @@
 
 function cleanup
 {
-	datasetexists $spool && log_must $ZPOOL destroy $spool
-	[[ -f $VDEV0 ]] && log_must $RM -f $VDEV0
-	[[ -f $TMPFILE ]] && log_must $RM -f $TMPFILE
+	datasetexists $spool && log_must zpool destroy $spool
+	[[ -f $VDEV0 ]] && log_must rm -f $VDEV0
+	[[ -f $TMPFILE ]] && log_must rm -f $TMPFILE
 }
 
 log_assert "zpool history limitation test."
@@ -58,39 +58,39 @@
 (( $? != 0 )) && log_fail "get_prop mountpoint $TESTPOOL"
 
 VDEV0=$mntpnt/vdev0
-log_must $MKFILE $MINVDEVSIZE $VDEV0
+log_must mkfile $MINVDEVSIZE $VDEV0
 
 spool=smallpool.$$; sfs=smallfs.$$
-log_must $ZPOOL create $spool $VDEV0
-log_must $ZFS create $spool/$sfs
+log_must zpool create $spool $VDEV0
+log_must zfs create $spool/$sfs
 
-typeset -i orig_count=$($ZPOOL history $spool | $WC -l)
-typeset orig_md5=$($ZPOOL history $spool | $HEAD -2 | $MD5SUM | \
-    $AWK '{print $1}')
+typeset -i orig_count=$(zpool history $spool | wc -l)
+typeset orig_md5=$(zpool history $spool | head -2 | md5sum | \
+    awk '{print $1}')
 
 typeset -i i=0
 while ((i < 300)); do
-	$ZFS set compression=off $spool/$sfs
-	$ZFS set compression=on $spool/$sfs
-	$ZFS set compression=off $spool/$sfs
-	$ZFS set compression=on $spool/$sfs
-	$ZFS set compression=off $spool/$sfs
+	zfs set compression=off $spool/$sfs
+	zfs set compression=on $spool/$sfs
+	zfs set compression=off $spool/$sfs
+	zfs set compression=on $spool/$sfs
+	zfs set compression=off $spool/$sfs
 
 	((i += 1))
 done
 
 TMPFILE=/tmp/spool.$$
-$ZPOOL history $spool >$TMPFILE
-typeset -i entry_count=$($WC -l $TMPFILE | $AWK '{print $1}')
-typeset final_md5=$($HEAD -2 $TMPFILE | $MD5SUM | $AWK '{print $1}')
+zpool history $spool >$TMPFILE
+typeset -i entry_count=$(wc -l $TMPFILE | awk '{print $1}')
+typeset final_md5=$(head -2 $TMPFILE | md5sum | awk '{print $1}')
 
-$GREP 'zpool create' $TMPFILE >/dev/null 2>&1 ||
+grep 'zpool create' $TMPFILE >/dev/null 2>&1 ||
     log_fail "'zpool create' was not found in pool history"
 
-$GREP 'zfs create' $TMPFILE >/dev/null 2>&1 &&
+grep 'zfs create' $TMPFILE >/dev/null 2>&1 &&
     log_fail "'zfs create' was found in pool history"
 
-$GREP 'zfs set compress' $TMPFILE >/dev/null 2>&1 ||
+grep 'zfs set compress' $TMPFILE >/dev/null 2>&1 ||
     log_fail "'zfs set compress' was found in pool history"
 
 # Verify that the creation of the pool was preserved in the history.
--- old/usr/src/test/zfs-tests/tests/functional/history/history_004_pos.ksh	Wed Aug 31 16:21:14 2016
+++ new/usr/src/test/zfs-tests/tests/functional/history/history_004_pos.ksh	Wed Aug 31 16:21:14 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,51 +46,51 @@
 
 log_assert "'zpool history' can cope with simultaneous commands."
 
-typeset -i orig_count=$($ZPOOL history $spool | $WC -l | $AWK '{print $1}')
+typeset -i orig_count=$(zpool history $spool | wc -l | awk '{print $1}')
 
 typeset -i i=0
 while ((i < 10)); do
-	$ZFS set compression=off $TESTPOOL/$TESTFS &
-	$ZFS set atime=off $TESTPOOL/$TESTFS &
-	$ZFS create $TESTPOOL/$TESTFS1 &
-	$ZFS create $TESTPOOL/$TESTFS2 &
-	$ZFS create $TESTPOOL/$TESTFS3 &
+	zfs set compression=off $TESTPOOL/$TESTFS &
+	zfs set atime=off $TESTPOOL/$TESTFS &
+	zfs create $TESTPOOL/$TESTFS1 &
+	zfs create $TESTPOOL/$TESTFS2 &
+	zfs create $TESTPOOL/$TESTFS3 &
 
 	wait
 
-	$ZFS snapshot $TESTPOOL/$TESTFS1@snap &
-	$ZFS snapshot $TESTPOOL/$TESTFS2@snap &
-	$ZFS snapshot $TESTPOOL/$TESTFS3@snap &
+	zfs snapshot $TESTPOOL/$TESTFS1@snap &
+	zfs snapshot $TESTPOOL/$TESTFS2@snap &
+	zfs snapshot $TESTPOOL/$TESTFS3@snap &
 
 	wait
 
-	$ZFS clone $TESTPOOL/$TESTFS1@snap $TESTPOOL/clone1 &
-	$ZFS clone $TESTPOOL/$TESTFS2@snap $TESTPOOL/clone2 &
-	$ZFS clone $TESTPOOL/$TESTFS3@snap $TESTPOOL/clone3 &
+	zfs clone $TESTPOOL/$TESTFS1@snap $TESTPOOL/clone1 &
+	zfs clone $TESTPOOL/$TESTFS2@snap $TESTPOOL/clone2 &
+	zfs clone $TESTPOOL/$TESTFS3@snap $TESTPOOL/clone3 &
 
 	wait
 
-	$ZFS promote $TESTPOOL/clone1 &
-	$ZFS promote $TESTPOOL/clone2 &
-	$ZFS promote $TESTPOOL/clone3 &
+	zfs promote $TESTPOOL/clone1 &
+	zfs promote $TESTPOOL/clone2 &
+	zfs promote $TESTPOOL/clone3 &
 
 	wait
 
-	$ZFS destroy $TESTPOOL/$TESTFS1 &
-	$ZFS destroy $TESTPOOL/$TESTFS2 &
-	$ZFS destroy $TESTPOOL/$TESTFS3 &
+	zfs destroy $TESTPOOL/$TESTFS1 &
+	zfs destroy $TESTPOOL/$TESTFS2 &
+	zfs destroy $TESTPOOL/$TESTFS3 &
 
 	wait
 
-	$ZFS destroy -Rf $TESTPOOL/clone1 &
-	$ZFS destroy -Rf $TESTPOOL/clone2 &
-	$ZFS destroy -Rf $TESTPOOL/clone3 &
+	zfs destroy -Rf $TESTPOOL/clone1 &
+	zfs destroy -Rf $TESTPOOL/clone2 &
+	zfs destroy -Rf $TESTPOOL/clone3 &
 
 	wait
 	((i += 1))
 done
 
-typeset -i entry_count=$($ZPOOL history $spool | $WC -l | $AWK '{print $1}')
+typeset -i entry_count=$(zpool history $spool | wc -l | awk '{print $1}')
 
 if ((entry_count - orig_count != 200)); then
 	log_fail "The entries count error: entry_count=$entry_count " \
